Add AIO test 113 into the mix, enable AIO testing capability in local fsx.

Merge of master-melb:xfs-cmds:21487a by kenmcd.
This commit is contained in:
Nathan Scott
2005-02-14 13:52:05 +00:00
parent 6bf85bc85e
commit 2446ccc509
12 changed files with 1636 additions and 433 deletions
Executable
+112
View File
@@ -0,0 +1,112 @@
#! /bin/sh
# FS QA Test No. 113
#
# aio-stress
#
#-----------------------------------------------------------------------
# Copyright (c) 2005 Silicon Graphics, Inc. All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it would be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#
# Further, this software is distributed without any warranty that it is
# free of the rightful claim of any third person regarding infringement
# or the like. Any license provided herein, whether implied or
# otherwise, applies only to this software file. Patent licenses, if
# any, provided herein do not apply to combinations of this program with
# other software, or any other product whatsoever.
#
# You should have received a copy of the GNU General Public License along
# with this program; if not, write the Free Software Foundation, Inc., 59
# Temple Place - Suite 330, Boston MA 02111-1307, USA.
#
# Contact information: Silicon Graphics, Inc., 1600 Amphitheatre Pkwy,
# Mountain View, CA 94043, or:
#
# http://www.sgi.com
#
# For further information regarding this notice, see:
#
# http://oss.sgi.com/projects/GenInfo/SGIGPLNoticeExplan/
#-----------------------------------------------------------------------
#
# creator
owner=nathans@sgi.com
seq=`basename $0`
echo "QA output created by $seq"
here=`pwd`
tmp=/tmp/$$
status=0 # success is the default!
trap "_cleanup; exit \$status" 0 1 2 3 15
_cleanup()
{
cd /
# we might get here with a RO FS
mount -o remount,rw $TEST_DEV >/dev/null 2>&1
# now kill!
rm -f $testdir/aio-stress.$$.*
_cleanup_testdir
}
# get standard environment, filters and checks
. ./common.rc
. ./common.filter
_do_test()
{
_n="$1"
_param="$2"
_count="$3"
out=$testdir/aiostress.$$.$_n
rm -f $out
echo ""
echo "-----------------------------------------------"
echo "aio-stress.$_n : $_param"
echo "-----------------------------------------------"
if ! $here/ltp/aio-stress $_param $AIOSTRESS_AVOID -I $_count $out >>$tmp.out 2>&1
then
echo " aio-stress (count=$_count) returned $?"
cat $tmp.out
status=1
fi
_check_test_fs
}
# real QA test starts here
_supported_fs xfs udf
_supported_os IRIX Linux
_setup_testdir
echo "brevity is wit..."
count=1000
procs=20
_check_test_fs
# LTP
-I500 -o3 -S -r128 -t4
# the default
_do_test 1 "" $count
# and the default with multiprocess
_do_test 2 "-t $procs" $count
# as above, but now using direct IO
_do_test 3 "-t $procs -O" $count
exit
+14
View File
@@ -0,0 +1,14 @@
QA output created by 113
brevity is wit...
-----------------------------------------------
aio-stress.1 :
-----------------------------------------------
-----------------------------------------------
aio-stress.2 : -t 20
-----------------------------------------------
-----------------------------------------------
aio-stress.3 : -t 20 -O
-----------------------------------------------
Vendored
+10 -424
View File
@@ -1,6 +1,6 @@
# aclocal.m4 generated automatically by aclocal 1.6.3 -*- Autoconf -*- # generated automatically by aclocal 1.8.3 -*- Autoconf -*-
# Copyright 1996, 1997, 1998, 1999, 2000, 2001, 2002 # Copyright (C) 1996, 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004
# Free Software Foundation, Inc. # Free Software Foundation, Inc.
# This file is free software; the Free Software Foundation # This file is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it, # gives unlimited permission to copy and/or distribute it,
@@ -11,425 +11,11 @@
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. # PARTICULAR PURPOSE.
# m4_include([./m4/package_acldev.m4])
# Generic macro, sets up all of the global packaging variables. m4_include([./m4/package_aiodev.m4])
# The following environment variables may be set to override defaults: m4_include([./m4/package_attrdev.m4])
# DEBUG OPTIMIZER MALLOCLIB PLATFORM DISTRIBUTION INSTALL_USER INSTALL_GROUP m4_include([./m4/package_gdbmdev.m4])
# BUILD_VERSION m4_include([./m4/package_globals.m4])
# m4_include([./m4/package_utilies.m4])
AC_DEFUN([AC_PACKAGE_GLOBALS], m4_include([./m4/package_uuiddev.m4])
[ pkg_name="$1" m4_include([./m4/package_xfslibs.m4])
AC_SUBST(pkg_name)
. ./VERSION
pkg_version=${PKG_MAJOR}.${PKG_MINOR}.${PKG_REVISION}
AC_SUBST(pkg_version)
pkg_release=$PKG_BUILD
test -z "$BUILD_VERSION" || pkg_release="$BUILD_VERSION"
AC_SUBST(pkg_release)
DEBUG=${DEBUG:-'-DDEBUG'} dnl -DNDEBUG
debug_build="$DEBUG"
AC_SUBST(debug_build)
OPTIMIZER=${OPTIMIZER:-'-g'} dnl -O2
opt_build="$OPTIMIZER"
AC_SUBST(opt_build)
MALLOCLIB=${MALLOCLIB:-''} dnl /usr/lib/libefence.a
malloc_lib="$MALLOCLIB"
AC_SUBST(malloc_lib)
PKG_USER=${INSTALL_USER:-'root'}
pkg_user="$PKG_USER"
AC_SUBST(pkg_user)
PKG_GROUP=${INSTALL_GROUP:-'root'}
pkg_group="$PKG_GROUP"
AC_SUBST(pkg_group)
pkg_distribution=`uname -s`
test -z "$DISTRIBUTION" || pkg_distribution="$DISTRIBUTION"
AC_SUBST(pkg_distribution)
pkg_platform=`uname -s | tr 'A-Z' 'a-z' | sed -e 's/irix64/irix/'`
test -z "$PLATFORM" || pkg_platform="$PLATFORM"
AC_SUBST(pkg_platform)
])
#
# Check for specified utility (env var) - if unset, fail.
#
AC_DEFUN([AC_PACKAGE_NEED_UTILITY],
[ if test -z "$2"; then
echo
echo FATAL ERROR: $3 does not seem to be installed.
echo $1 cannot be built without a working $4 installation.
exit 1
fi
])
#
# Generic macro, sets up all of the global build variables.
# The following environment variables may be set to override defaults:
# CC MAKE LIBTOOL TAR ZIP MAKEDEPEND AWK SED ECHO SORT
# MSGFMT MSGMERGE RPM
#
AC_DEFUN([AC_PACKAGE_UTILITIES],
[ AC_PROG_CC
cc="$CC"
AC_SUBST(cc)
AC_PACKAGE_NEED_UTILITY($1, "$cc", cc, [C compiler])
if test -z "$MAKE"; then
AC_PATH_PROG(MAKE, gmake,, /usr/bin:/usr/freeware/bin)
fi
if test -z "$MAKE"; then
AC_PATH_PROG(MAKE, make,, /usr/bin)
fi
make=$MAKE
AC_SUBST(make)
AC_PACKAGE_NEED_UTILITY($1, "$make", make, [GNU make])
if test -z "$LIBTOOL"; then
AC_PATH_PROG(LIBTOOL, glibtool,, /usr/bin)
fi
if test -z "$LIBTOOL"; then
AC_PATH_PROG(LIBTOOL, libtool,, /usr/bin:/usr/local/bin:/usr/freeware/bin)
fi
libtool=$LIBTOOL
AC_SUBST(libtool)
AC_PACKAGE_NEED_UTILITY($1, "$libtool", libtool, [GNU libtool])
if test -z "$TAR"; then
AC_PATH_PROG(TAR, tar,, /usr/freeware/bin:/bin:/usr/local/bin:/usr/bin)
fi
tar=$TAR
AC_SUBST(tar)
if test -z "$ZIP"; then
AC_PATH_PROG(ZIP, gzip,, /bin:/usr/local/bin:/usr/freeware/bin)
fi
zip=$ZIP
AC_SUBST(zip)
if test -z "$MAKEDEPEND"; then
AC_PATH_PROG(MAKEDEPEND, makedepend, /bin/true)
fi
makedepend=$MAKEDEPEND
AC_SUBST(makedepend)
if test -z "$AWK"; then
AC_PATH_PROG(AWK, awk,, /bin:/usr/bin)
fi
awk=$AWK
AC_SUBST(awk)
if test -z "$SED"; then
AC_PATH_PROG(SED, sed,, /bin:/usr/bin)
fi
sed=$SED
AC_SUBST(sed)
if test -z "$ECHO"; then
AC_PATH_PROG(ECHO, echo,, /bin:/usr/bin)
fi
echo=$ECHO
AC_SUBST(echo)
if test -z "$SORT"; then
AC_PATH_PROG(SORT, sort,, /bin:/usr/bin)
fi
sort=$SORT
AC_SUBST(sort)
dnl check if symbolic links are supported
AC_PROG_LN_S
if test "$enable_gettext" = yes; then
if test -z "$MSGFMT"; then
AC_PATH_PROG(MSGFMT, msgfmt,, /usr/bin:/usr/freeware/bin)
fi
msgfmt=$MSGFMT
AC_SUBST(msgfmt)
AC_PACKAGE_NEED_UTILITY($1, "$msgfmt", msgfmt, gettext)
if test -z "$MSGMERGE"; then
AC_PATH_PROG(MSGMERGE, msgmerge,, /usr/bin:/usr/freeware/bin)
fi
msgmerge=$MSGMERGE
AC_SUBST(msgmerge)
AC_PACKAGE_NEED_UTILITY($1, "$msgmerge", msgmerge, gettext)
fi
if test -z "$RPM"; then
AC_PATH_PROG(RPM, rpm,, /bin:/usr/bin:/usr/freeware/bin)
fi
rpm=$RPM
AC_SUBST(rpm)
dnl .. and what version is rpm
rpm_version=0
test -x "$RPM" && rpm_version=`$RPM --version \
| awk '{print $NF}' | awk -F. '{V=1; print $V}'`
AC_SUBST(rpm_version)
dnl At some point in rpm 4.0, rpm can no longer build rpms, and
dnl rpmbuild is needed (rpmbuild may go way back; not sure)
dnl So, if rpm version >= 4.0, look for rpmbuild. Otherwise build w/ rpm
if test $rpm_version -ge 4; then
AC_PATH_PROG(RPMBUILD, rpmbuild)
rpmbuild=$RPMBUILD
else
rpmbuild=$RPM
fi
AC_SUBST(rpmbuild)
])
AC_DEFUN([AC_PACKAGE_NEED_UUID_H],
[ AC_CHECK_HEADERS([uuid.h sys/uuid.h uuid/uuid.h])
if test $ac_cv_header_uuid_h = no -a \
$ac_cv_header_sys_uuid_h = no -a \
$ac_cv_header_uuid_uuid_h = no; then
echo
echo 'FATAL ERROR: could not find a valid UUID header.'
echo 'Install the Universally Unique Identifiers development package.'
exit 1
fi
])
AC_DEFUN([AC_PACKAGE_NEED_UUIDCOMPARE],
[ AC_CHECK_FUNCS(uuid_compare)
if test $ac_cv_func_uuid_compare = yes; then
libuuid=""
else
AC_CHECK_LIB(uuid, uuid_compare,, [
echo
echo 'FATAL ERROR: could not find a valid UUID library.'
echo 'Install the Universally Unique Identifiers library package.'
exit 1])
libuuid="-luuid"
fi
AC_SUBST(libuuid)
])
AC_DEFUN([AC_PACKAGE_NEED_SYS_ACL_H],
[ AC_CHECK_HEADERS([sys/acl.h])
if test "$ac_cv_header_sys_acl_h" != "yes"; then
echo
echo 'FATAL ERROR: sys/acl.h does not exist.'
echo 'Install the access control lists (acl) development package.'
echo 'Alternatively, run "make install-lib" from the acl source.'
exit 1
fi
])
AC_DEFUN([AC_PACKAGE_NEED_ACL_LIBACL_H],
[ AC_CHECK_HEADERS([acl/libacl.h])
if test "$ac_cv_header_acl_libacl_h" != "yes"; then
echo
echo 'FATAL ERROR: acl/libacl.h does not exist.'
echo 'Install the access control lists (acl) development package.'
echo 'Alternatively, run "make install-lib" from the acl source.'
exit 1
fi
])
AC_DEFUN([AC_PACKAGE_NEED_ACLINIT_LIBACL],
[ AC_CHECK_LIB(acl, acl_init,, [
echo
echo 'FATAL ERROR: could not find a valid Access Control List library.'
echo 'Install either the libacl (rpm) or the libacl1 (deb) package.'
echo 'Alternatively, run "make install-lib" from the acl source.'
exit 1
])
libacl="-lacl"
test -f `pwd`/../acl/libacl/libacl.la && \
libacl="`pwd`/../acl/libacl/libacl.la"
test -f /usr/lib/libacl.la && libacl="/usr/lib/libacl.la"
AC_SUBST(libacl)
])
AC_DEFUN([AC_PACKAGE_NEED_ATTR_XATTR_H],
[ AC_CHECK_HEADERS([attr/xattr.h])
if test "$ac_cv_header_attr_xattr_h" != "yes"; then
echo
echo 'FATAL ERROR: attr/xattr.h does not exist.'
echo 'Install the extended attributes (attr) development package.'
echo 'Alternatively, run "make install-lib" from the attr source.'
exit 1
fi
])
AC_DEFUN([AC_PACKAGE_NEED_ATTR_ERROR_H],
[ AC_CHECK_HEADERS([attr/error_context.h])
if test "$ac_cv_header_attr_error_context_h" != "yes"; then
echo
echo 'FATAL ERROR: attr/error_context.h does not exist.'
echo 'Install the extended attributes (attr) development package.'
echo 'Alternatively, run "make install-lib" from the attr source.'
exit 1
fi
])
AC_DEFUN([AC_PACKAGE_NEED_ATTRIBUTES_H],
[ have_attributes_h=false
AC_CHECK_HEADERS([attr/attributes.h sys/attributes.h], [have_attributes_h=true], )
if test "$have_attributes_h" = "false"; then
echo
echo 'FATAL ERROR: attributes.h does not exist.'
echo 'Install the extended attributes (attr) development package.'
echo 'Alternatively, run "make install-lib" from the attr source.'
exit 1
fi
])
AC_DEFUN([AC_PACKAGE_NEED_GETXATTR_LIBATTR],
[ AC_CHECK_LIB(attr, getxattr,, [
echo
echo 'FATAL ERROR: could not find a valid Extended Attributes library.'
echo 'Install the extended attributes (attr) development package.'
echo 'Alternatively, run "make install-lib" from the attr source.'
exit 1
])
libattr="-lattr"
test -f `pwd`/../attr/libattr/libattr.la && \
libattr="`pwd`/../attr/libattr/libattr.la"
test -f /usr/lib/libattr.la && libattr="/usr/lib/libattr.la"
AC_SUBST(libattr)
])
AC_DEFUN([AC_PACKAGE_NEED_ATTRGET_LIBATTR],
[ AC_CHECK_LIB(attr, attr_get,, [
echo
echo 'FATAL ERROR: could not find a valid Extended Attributes library.'
echo 'Install the extended attributes (attr) development package.'
echo 'Alternatively, run "make install-lib" from the attr source.'
exit 1
])
libattr="-lattr"
test -f `pwd`/../attr/libattr/libattr.la && \
libattr="`pwd`/../attr/libattr/libattr.la"
test -f /usr/lib/libattr.la && libattr="/usr/lib/libattr.la"
AC_SUBST(libattr)
])
AC_DEFUN([AC_PACKAGE_NEED_ATTRIBUTES_MACROS],
[ AC_MSG_CHECKING([macros in attr/attributes.h])
AC_TRY_LINK([
#include <sys/types.h>
#include <attr/attributes.h>],
[ int x = ATTR_SECURE; ], [ echo ok ], [
echo
echo 'FATAL ERROR: could not find a current attributes header.'
echo 'Upgrade the extended attributes (attr) development package.'
echo 'Alternatively, run "make install-dev" from the attr source.'
exit 1 ])
])
AC_DEFUN([AC_PACKAGE_WANT_NDBM],
[ AC_CHECK_HEADERS(ndbm.h, [ have_db=true ], [ have_db=false ])
libgdbm=""
AC_SUBST(libgdbm)
AC_SUBST(have_db)
])
AC_DEFUN([AC_PACKAGE_WANT_GDBM],
[ AC_CHECK_HEADERS([gdbm/ndbm.h], [ have_db=true ], [ have_db=false ])
if test $have_db = true -a -f /usr/lib/libgdbm.a; then
libgdbm="/usr/lib/libgdbm.a"
fi
AC_SUBST(libgdbm)
AC_SUBST(have_db)
])
AC_DEFUN([AC_PACKAGE_NEED_XFS_LIBXFS_H],
[ AC_CHECK_HEADERS([xfs/libxfs.h])
if test "$ac_cv_header_xfs_libxfs_h" != "yes"; then
echo
echo 'FATAL ERROR: cannot find a valid <xfs/libxfs.h> header file.'
echo 'Install or upgrade the XFS development package.'
echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
exit 1
fi
])
AC_DEFUN([AC_PACKAGE_NEED_XFS_XQM_H],
[ AC_CHECK_HEADERS([xfs/xqm.h])
if test "$ac_cv_header_xfs_xqm_h" != "yes"; then
echo
echo 'FATAL ERROR: cannot find a valid <xfs/xqm.h> header file.'
echo 'Install or upgrade the XFS development package.'
echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
exit 1
fi
])
AC_DEFUN([AC_PACKAGE_NEED_XFS_HANDLE_H],
[ AC_CHECK_HEADERS([xfs/handle.h])
if test "$ac_cv_header_xfs_handle_h" != "yes"; then
echo
echo 'FATAL ERROR: cannot find a valid <xfs/handle.h> header file.'
echo 'Install or upgrade the XFS development package.'
echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
exit 1
fi
])
AC_DEFUN([AC_PACKAGE_NEED_LIBXFSINIT_LIBXFS],
[ AC_CHECK_LIB(xfs, libxfs_init,, [
echo
echo 'FATAL ERROR: could not find a valid XFS base library.'
echo 'Install or upgrade the XFS library package.'
echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
exit 1
])
libxfs="-lxfs"
test -f `pwd`/../xfsprogs/libxfs/libxfs.la && \
libxfs="`pwd`/../xfsprogs/libxfs/libxfs.la"
test -f /usr/lib/libxfs.la && libxfs="/usr/lib/libxfs.la"
AC_SUBST(libxfs)
])
AC_DEFUN([AC_PACKAGE_NEED_OPEN_BY_FSHANDLE],
[ AC_CHECK_LIB(handle, open_by_fshandle,, [
echo
echo 'FATAL ERROR: could not find a current XFS handle library.'
echo 'Install or upgrade the XFS library package.'
echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
exit 1
])
libhdl="-lhandle"
test -f `pwd`/../xfsprogs/libhandle/libhandle.la && \
libhdl="`pwd`/../xfsprogs/libhandle/libhandle.la"
test -f /usr/lib/libhandle.la && libhdl="/usr/lib/libhandle.la"
AC_SUBST(libhdl)
])
AC_DEFUN([AC_PACKAGE_NEED_ATTRLIST_LIBHANDLE],
[ AC_CHECK_LIB(handle, attr_list_by_handle,, [
echo
echo 'FATAL ERROR: could not find a current XFS handle library.'
echo 'Install or upgrade the XFS library package.'
echo 'Alternatively, run "make install-lib" from the xfsprogs source.'
exit 1
])
libhdl="-lhandle"
test -f `pwd`/../xfsprogs/libhandle/libhandle.la && \
libhdl="`pwd`/../xfsprogs/libhandle/libhandle.la"
test -f /usr/lib/libhandle.la && libhdl="/usr/lib/libhandle.la"
AC_SUBST(libhdl)
])
AC_DEFUN([AC_PACKAGE_NEED_XFSCTL_MACRO],
[ AC_MSG_CHECKING([xfsctl from xfs/libxfs.h])
AC_TRY_LINK([#include <xfs/libxfs.h>], [ int x = xfsctl(0, 0, 0, 0); ],
[ echo ok ],
[ echo
echo 'FATAL ERROR: cannot find required macros in the XFS headers.'
echo 'Upgrade your XFS programs (xfsprogs) development package.'
echo 'Alternatively, run "make install-dev" from the xfsprogs source.'
exit 1
])
])
+1
View File
@@ -55,6 +55,7 @@ in
AC_PACKAGE_NEED_ACLINIT_LIBACL AC_PACKAGE_NEED_ACLINIT_LIBACL
AC_PACKAGE_WANT_GDBM AC_PACKAGE_WANT_GDBM
AC_PACKAGE_WANT_AIO
;; ;;
esac esac
+1
View File
@@ -178,3 +178,4 @@ udf ajones@sgi.com
102 udf auto 102 udf auto
103 metadata dir ioctl auto 103 metadata dir ioctl auto
104 growfs ioctl 104 growfs ioctl
113 rw aio auto
+1
View File
@@ -76,6 +76,7 @@ RPM_VERSION = @rpm_version@
ENABLE_SHARED = @enable_shared@ ENABLE_SHARED = @enable_shared@
HAVE_DB = @have_db@ HAVE_DB = @have_db@
HAVE_AIO = @have_aio@
ifeq ($(PKG_PLATFORM),linux) ifeq ($(PKG_PLATFORM),linux)
PCFLAGS = -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64 PCFLAGS = -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
+12 -3
View File
@@ -1,5 +1,5 @@
# #
# Copyright (c) 2003 Silicon Graphics, Inc. All Rights Reserved. # Copyright (c) 2003-2005 Silicon Graphics, Inc. All Rights Reserved.
# #
# This program is free software; you can redistribute it and/or modify it # This program is free software; you can redistribute it and/or modify it
# under the terms of version 2 of the GNU General Public License as # under the terms of version 2 of the GNU General Public License as
@@ -39,8 +39,12 @@ HFILES = doio.h
LDIRT = $(TARGETS) LDIRT = $(TARGETS)
LCFLAGS = -DXFS LCFLAGS = -DXFS
IFLAG = -I$(TOPDIR)/src #Used for including $(TOPDIR)/src/global.h IFLAG = -I$(TOPDIR)/src #Used for including $(TOPDIR)/src/global.h
#LCFLAGS += -DAIO
#LIBAIO =-laio ifeq ($(HAVE_AIO), true)
TARGETS += aio-stress
LCFLAGS += -DAIO
LIBAIO = -laio -lpthread
endif
default: $(TARGETS) default: $(TARGETS)
@@ -61,3 +65,8 @@ growfiles: growfiles.c $(LIBTEST)
iogen: iogen.c $(LIBTEST) iogen: iogen.c $(LIBTEST)
$(LINKTEST) $(LIBTEST) $(IFLAG) $(LINKTEST) $(LIBTEST) $(IFLAG)
ifeq ($(HAVE_AIO), true)
aio-stress: aio-stress.c
$(LINKTEST) $(LIBAIO) $(LDLIBS)
endif
+1472
View File
File diff suppressed because it is too large Load Diff
+5 -3
View File
@@ -844,9 +844,11 @@ usage(void)
-s style: 1 gives smaller truncates (default 0)\n\ -s style: 1 gives smaller truncates (default 0)\n\
-t truncbdy: 4096 would make truncates page aligned (default 1)\n\ -t truncbdy: 4096 would make truncates page aligned (default 1)\n\
-w writebdy: 4096 would make writes page aligned (default 1)\n\ -w writebdy: 4096 would make writes page aligned (default 1)\n\
-x: preallocate file space before starting, XFS only (default 0)\n\ -x: preallocate file space before starting, XFS only (default 0)\n"
-A: Use the AIO system calls\n\ #ifdef AIO
-D startingop: debug output starting at specified operation\n\ "-A: Use the AIO system calls\n"
#endif
"-D startingop: debug output starting at specified operation\n\
-L: fsxLite - no file creations & no file size changes\n\ -L: fsxLite - no file creations & no file size changes\n\
-N numops: total # operations to do (default infinity)\n\ -N numops: total # operations to do (default infinity)\n\
-O: use oplen (see -o flag) for every op (default random)\n\ -O: use oplen (see -o flag) for every op (default random)\n\
+1
View File
@@ -36,6 +36,7 @@ include $(TOPDIR)/include/builddefs
LSRCFILES = \ LSRCFILES = \
manual_format.m4 \ manual_format.m4 \
package_acldev.m4 \ package_acldev.m4 \
package_aiodev.m4 \
package_gdbmdev.m4 \ package_gdbmdev.m4 \
package_attrdev.m4 \ package_attrdev.m4 \
package_dmapidev.m4 \ package_dmapidev.m4 \
+4
View File
@@ -0,0 +1,4 @@
AC_DEFUN([AC_PACKAGE_WANT_AIO],
[ AC_CHECK_HEADERS(libaio.h, [ have_aio=true ], [ have_aio=false ])
AC_SUBST(have_aio)
])
+3 -3
View File
@@ -48,7 +48,7 @@ AC_DEFUN([AC_PACKAGE_UTILITIES],
tar=$TAR tar=$TAR
AC_SUBST(tar) AC_SUBST(tar)
if test -z "$ZIP"; then if test -z "$ZIP"; then
AC_PATH_PROG(ZIP, gzip,, /bin:/usr/local/bin:/usr/freeware/bin) AC_PATH_PROG(ZIP, gzip,, /bin:/usr/bin:/usr/local/bin:/usr/freeware/bin)
fi fi
zip=$ZIP zip=$ZIP
@@ -89,14 +89,14 @@ AC_DEFUN([AC_PACKAGE_UTILITIES],
if test "$enable_gettext" = yes; then if test "$enable_gettext" = yes; then
if test -z "$MSGFMT"; then if test -z "$MSGFMT"; then
AC_PATH_PROG(MSGFMT, msgfmt,, /usr/bin:/usr/freeware/bin) AC_PATH_PROG(MSGFMT, msgfmt,, /usr/bin:/usr/local/bin:/usr/freeware/bin)
fi fi
msgfmt=$MSGFMT msgfmt=$MSGFMT
AC_SUBST(msgfmt) AC_SUBST(msgfmt)
AC_PACKAGE_NEED_UTILITY($1, "$msgfmt", msgfmt, gettext) AC_PACKAGE_NEED_UTILITY($1, "$msgfmt", msgfmt, gettext)
if test -z "$MSGMERGE"; then if test -z "$MSGMERGE"; then
AC_PATH_PROG(MSGMERGE, msgmerge,, /usr/bin:/usr/freeware/bin) AC_PATH_PROG(MSGMERGE, msgmerge,, /usr/bin:/usr/local/bin:/usr/freeware/bin)
fi fi
msgmerge=$MSGMERGE msgmerge=$MSGMERGE
AC_SUBST(msgmerge) AC_SUBST(msgmerge)